# QMatrix4x4 Class Reference

### [com.trolltech.qt.gui package]

### Constructor

- void QMatrix4x4()
- void QMatrix4x4(QMatrix matrix)
- void QMatrix4x4(QTransform transform)
- void QMatrix4x4(qreal values)
- void QMatrix4x4(qreal values, int cols, int rows)
- void QMatrix4x4(qreal m11, qreal m12, qreal m13, qreal m14, qreal m21, qreal m22, qreal m23, qreal m24, qreal m31, qreal m32, qreal m33, qreal m34, qreal m41, qreal m42, qreal m43, qreal m44)

### Constructor Properties

- prototype: The QMatrix4x4 prototype object

### Prototype Object Properties

- QVector4D column(int index)
- qreal constData()
- void copyDataTo(qreal values)
- qreal data()
- qreal determinant()
- void fill(qreal value)
- void flipCoordinates()
- void frustum(qreal left, qreal right, qreal bottom, qreal top, qreal nearPlane, qreal farPlane)
- QMatrix4x4 inverted(bool invertible)
- bool isIdentity()
- void lookAt(QVector3D eye, QVector3D center, QVector3D up)
- QPoint map(QPoint point)
- QRect mapRect(QRect rect)
- QVector3D mapVector(QVector3D vector)
- QMatrix3x3 normalMatrix()
- QMatrix4x4 operator_add_assign(QMatrix4x4 other)
- qreal operator_cast_(int row, int column)
- QMatrix4x4 operator_divide_assign(qreal divisor)
- bool operator_equal(QMatrix4x4 other)
- QMatrix4x4 operator_multiply_assign(QMatrix4x4 other)
- QMatrix4x4 operator_subtract_assign(QMatrix4x4 other)
- void optimize()
- void ortho(QRect rect)
- void perspective(qreal angle, qreal aspect, qreal nearPlane, qreal farPlane)
- void readFrom(QDataStream arg__1)
- void rotate(QQuaternion quaternion)
- QVector4D row(int index)
- void scale(QVector3D vector)
- void setColumn(int index, QVector4D value)
- void setRow(int index, QVector4D value)
- void setToIdentity()
- QMatrix toAffine()
- QTransform toTransform()
- void translate(QVector3D vector)
- QMatrix4x4 transposed()
- void writeTo(QDataStream arg__1)

### Instance Properties

QMatrix4x4 objects have no special properties beyond those inherited from the QMatrix4x4 prototype object.